/*
 * testethernet.c
 *
 *  Created on: Jun 13, 2017
 *      Author: user
 */

#include <stdio.h>
#include "platform.h"
#include "xparameters.h"
#include "xemaclite.h"

#include "xgpio.h"

static u8 LocalAddress[XEL_MAC_ADDR_SIZE] =
{
        0x06, 0x05, 0x04, 0x03, 0x02, 0x01
};


static u8 RemoteAddress[XEL_MAC_ADDR_SIZE] =
{
        0x00, 0x1C, 0xC0, 0xF2, 0x31, 0x0B
};

int main()
{
	int status;
XEmacLite_Config *ConfigPtr;
XEmacLite *EmacLiteInstPtr;
XGpio GpioInput;
Xuint32 DataRead;

u8 *FramePtr;
//FramePtr = (u8 *)TxFrame;
DataRead = 0x00000001;

status = XGpio_Initialize(&GpioInput,XPAR_DIP_SWITCHES_DEVICE_ID);
XGpio_SetDataDirection(&GpioInput, 1, 0xFFFFFFFF);


ConfigPtr = XEmacLite_LookupConfig(XPAR_EMACLITE_0_DEVICE_ID);
status = XEmacLite_CfgInitialize(EmacLiteInstPtr,ConfigPtr,ConfigPtr->BaseAddress);

XEmacLite_SetMacAddress(EmacLiteInstPtr, LocalAddress);

XEmacLite_FlushReceive(EmacLiteInstPtr);



*FramePtr++ = RemoteAddress[0];
*FramePtr++ = RemoteAddress[1];
*FramePtr++ = RemoteAddress[2];
*FramePtr++ = RemoteAddress[3];
*FramePtr++ = RemoteAddress[4];
*FramePtr++ = RemoteAddress[5];

*FramePtr++ = LocalAddress[0];
*FramePtr++ = LocalAddress[1];
*FramePtr++ = LocalAddress[2];
*FramePtr++ = LocalAddress[3];
*FramePtr++ = LocalAddress[4];
*FramePtr++ = LocalAddress[5];

*((u16 *)FramePtr) = 8; // PayloadSize=8
FramePtr++;
FramePtr++;

*FramePtr++ = 0x41; // A
*FramePtr++ = 0x42; // B
*FramePtr++ = 0x43; // C
*FramePtr++ = 0x44; // D
*FramePtr++ = 0x45; // E
*FramePtr++ = 0x46; // F
*FramePtr++ = 0x47; // G
*FramePtr++ = 0x48; // H


while(1){

DataRead = XGpio_DiscreteRead(&GpioInput, 1);

if(DataRead == 0x00000001){
status= XEmacLite_Send(EmacLiteInstPtr,FramePtr,22);

}
}

	return 0;
}
